=== debian/changelog ===
catch2 (2.11.3-2) unstable; urgency=medium

  * control: set Multi-Arch: foreign
  * control: depend on python3 (Closes: #956333)
  * tests/factorial-fail: fix the test

 -- Mathieu Mirmont <mat@parad0x.org>  Sat, 11 Apr 2020 19:45:08 +0200

catch2 (2.11.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: build with cmake
  * debian/gitlab-ci.yml: add temporary lintian workaround
  * debian/tests: add autopkgtest tests
  * debian/control: repo moved to debian group

 -- Mathieu Mirmont <mat@parad0x.org>  Thu, 09 Apr 2020 15:49:18 +0200

catch2 (2.11.1-1) unstable; urgency=medium

  * Initial package (Closes: #901783)

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 11 Feb 2020 23:20:03 +0100
