=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ENABLE_TESTING = ON
else
ENABLE_TESTING = OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/catch2/docs \
		-DCATCH_BUILD_TESTING=OFF \
		-DCATCH_INSTALL_HELPERS=OFF \
		-DCATCH_BUILD_TESTING=$(ENABLE_TESTING)
