## catch2 2.12.1

=== debian/changelog ===
catch2 (2.12.1-1) unstable; urgency=medium

  * New upstream release
  * rules: install the contrib helpers (Closes: #959147)

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 05 May 2020 02:41:45 +0200
