=== debian/control ===
Source: catch2
Section: devel
Priority: optional
Maintainer: Mathieu Mirmont <mat@parad0x.org>
Build-Depends: cmake, debhelper-compat (= 12), python3
Standards-Version: 4.5.0
Homepage: https://github.com/catchorg/Catch2
Vcs-Browser: https://salsa.debian.org/debian/catch2
Vcs-Git: https://salsa.debian.org/debian/catch2.git
Rules-Requires-Root: no

Package: catch2
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: C++ Automated Test Cases in Headers
 Catch2 is a multi-paradigm test framework for C++, which also
 supports Objective-C (and maybe C). It is primarily distributed as a
 single header file, although certain extensions may require
 additional headers.
 .
 If you've been using an earlier version of Catch, please see the
 Breaking Changes section of the release notes before moving to
 Catch2.
