=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,4 @@
 		-DCMAKE_INSTALL_LIBDIR=lib \
 		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/catch2/docs \
 		-DCATCH_BUILD_TESTING=OFF \
-		-DCATCH_INSTALL_HELPERS=OFF \
 		-DCATCH_BUILD_TESTING=$(ENABLE_TESTING)
