=== debian/changelog ===
catch2 (2.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Mirmont <mat@parad0x.org>  Wed, 01 Jul 2020 23:14:32 +0200

catch2 (2.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Mirmont <mat@parad0x.org>  Wed, 27 May 2020 17:18:34 +0200
