=== debian/changelog ===
catch2 (2.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 13 Jul 2020 09:24:41 +0200
