## catch2 2.13.2

=== debian/changelog ===
catch2 (2.13.2-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * rules: Disable fixfilepath feature (Closes: #972305)

 -- Mathieu Mirmont <mat@parad0x.org>  Sun, 25 Oct 2020 15:15:30 +0100

catch2 (2.13.2-1) unstable; urgency=medium

  [ Mathieu Mirmont ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mathieu Mirmont <mat@parad0x.org>  Wed, 07 Oct 2020 23:19:11 +0200
