=== debian/changelog ===
catch2 (2.13.4-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jun 2021 13:22:47 -0700

catch2 (2.13.4-2) unstable; urgency=medium

  * Merge the libcatch2-dev package into catch2

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 11 Jan 2021 22:27:33 +0100

catch2 (2.13.4-1) unstable; urgency=medium

  * New upstream release
  * Provide Catch2WithMain as libcatch2-dev package
  * patches: make the build reproducible
  * control: bump policy to 4.5.1, no change required

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 29 Dec 2020 21:12:46 +0100
