=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: catch2
 Section: devel
 Priority: optional
-Maintainer: Mathieu Mirmont <mat@parad0x.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mathieu Mirmont <mat@parad0x.org>
 Build-Depends: cmake, debhelper-compat (= 13), python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/catchorg/Catch2
 Vcs-Browser: https://salsa.debian.org/debian/catch2
 Vcs-Git: https://salsa.debian.org/debian/catch2.git
 Rules-Requires-Root: no
 
 Package: catch2
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: C++ Automated Test Cases in Headers
