=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Disable fixfilepath, as it triggers build failures.
+export DEB_BUILD_MAINT_OPTIONS=reproducible=-fixfilepath
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ENABLE_TESTING = ON
@@ -15,3 +18,6 @@
 		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/catch2/docs \
 		-DCATCH_BUILD_TESTING=OFF \
 		-DCATCH_BUILD_TESTING=$(ENABLE_TESTING)
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
