## catch2 2.13.4-2%2B10.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -108,6 +108,12 @@
 target_link_libraries(Catch2WithMain PUBLIC Catch2)
 add_library(Catch2::Catch2WithMain ALIAS Catch2WithMain)
 
+# Make the build reproducible on versions of g++ that supports -ffile-prefix-map
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+  if(NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8)
+    target_compile_options(Catch2WithMain PRIVATE "-ffile-prefix-map=${CMAKE_SOURCE_DIR}=.")
+  endif()
+endif()
 
 # Only perform the installation steps when Catch is not being used as
 # a subproject via `add_subdirectory`, or the destinations will break,
