=== debian/changelog ===
catch2 (2.13.4-2+10.0trisquel1) nabia; urgency=medium

  * Backported from Hirsute

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Sep 2021 10:19:15 +0000
