## catch2 2.13.10

=== projects/CMakeLists.txt ===
--- 
+++ 
@@ -124,6 +124,7 @@
         ${HEADER_DIR}/internal/catch_common.h
         ${HEADER_DIR}/internal/catch_compiler_capabilities.h
         ${HEADER_DIR}/internal/catch_config.hpp
+        ${HEADER_DIR}/internal/catch_config_uncaught_exceptions.hpp
         ${HEADER_DIR}/internal/catch_console_colour.h
         ${HEADER_DIR}/internal/catch_context.h
         ${HEADER_DIR}/internal/catch_debug_console.h
@@ -237,4 +238,3 @@
         ${HEADER_DIR}/internal/catch_matchers_string.cpp
         ${HEADER_DIR}/internal/catch_message.cpp
         ${HEADER_DIR}/internal/catch_output_redirect.cpp
-        ${HEADER_DIR}/internal/catch_registry_hub.cpp
