=== debian/changelog ===
catch2 (2.13.10-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 17 Oct 2022 09:38:51 +0200
