=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: catch2
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Mathieu Mirmont <mat@parad0x.org>
+Maintainer: Mathieu Mirmont <mat@parad0x.org>
 Build-Depends: cmake, debhelper-compat (= 13), python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/catchorg/Catch2
 Vcs-Browser: https://salsa.debian.org/debian/catch2
 Vcs-Git: https://salsa.debian.org/debian/catch2.git
