=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_LIBDIR=lib \
 		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/catch2/docs \
-		-DCATCH_BUILD_TESTING=OFF \
-		-DCATCH_BUILD_TESTING=$(ENABLE_TESTING)
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+		-DCATCH_BUILD_TESTING=$(ENABLE_TESTING) \
+		-DCATCH_BUILD_STATIC_LIBRARY=ON
