## catch2 3.4.0

=== debian/changelog ===
catch2 (3.4.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:10:33 +0200

catch2 (3.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1053516)
  * copyright: update following move to v3.x
  * Revert "watch: track upstream version 2.x only"
  * catch2.docs: add the SECURITY.md file
  * tests: temporarily remove the autopkgtests
  * gitlab-ci.yml: minor update

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 09 Oct 2023 14:39:35 +0200
