=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: catch2
 Section: devel
 Priority: optional
-Maintainer: Mathieu Mirmont <mat@parad0x.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mathieu Mirmont <mat@parad0x.org>
 Build-Depends: cmake, debhelper-compat (= 13), python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/catchorg/Catch2
 Vcs-Browser: https://salsa.debian.org/debian/catch2
 Vcs-Git: https://salsa.debian.org/debian/catch2.git
